Imports System.IO

Module Module1

    Sub Main()

        Dim strFileName As String = My.Application.Info.DirectoryPath _
                                  & "\employee_fixed.txt"
        Dim objFS As New FileStream(strFileName, FileMode.Open, FileAccess.Read)
        Dim objSR As New StreamReader(objFS)

        Dim strEmpRecord As String
        Dim strEmpName As String
        Dim intDeptNbr As Integer
        Dim strJobTitle As String
        Dim dtmHireDate As Date
        Dim sngHrlyRate As Single

        Console.WriteLine("The records in the employee_fixed.txt file are:")
        Console.WriteLine("")
        Console.WriteLine("EMPLOYEE NAME".PadRight(20) _
                        & Space(3) _
                        & "DEPT" _
                        & Space(3) _
                        & "JOB TITLE".PadRight(21) _
                        & Space(3) _
                        & "HIRE DATE " _
                        & Space(3) _
                        & "HRLY RATE")
        Console.WriteLine("-------------".PadRight(20) _
                        & Space(3) _
                        & "----" _
                        & Space(3) _
                        & "---------".PadRight(21) _
                        & Space(3) _
                        & "--------- " _
                        & Space(3) _
                        & "---------")

        Do While objSR.Peek <> -1
            ' read the current record (line) into the variable strEmpRecord
            strEmpRecord = objSR.ReadLine

            ' break up the record into separate variables
            strEmpName = strEmpRecord.Substring(0, 20)
            intDeptNbr = CInt(strEmpRecord.Substring(20, 4))
            strJobTitle = strEmpRecord.Substring(29, 21)
            dtmHireDate = CDate(strEmpRecord.Substring(50, 10))
            sngHrlyRate = CSng(strEmpRecord.Substring(60, 5))

            ' Output the data to the console as a formatted line ... 
            Console.WriteLine(strEmpName _
                            & Space(3) _
                            & intDeptNbr.ToString.PadLeft(4) _
                            & Space(3) _
                            & strJobTitle _
                            & Space(3) _
                            & Format(dtmHireDate, "MM/dd/yyyy") _
                            & Space(3) _
                            & Format(sngHrlyRate, "Currency").PadLeft(9))
        Loop

        objSR.Close()

        Console.WriteLine("")
        Console.WriteLine("Press Enter to close this window.")
        Console.ReadLine()

    End Sub

End Module
